%define anolis_release 1

%undefine _package_note_flags

Name:           ocaml-cmdliner
Version:        1.1.1
Release:        %{anolis_release}%{?dist}
Summary:        Declarative definition of command line interfaces for OCaml

License:        ISC
URL:            https://erratique.ch/software/cmdliner
Source0:        https://github.com/dbuenzli/cmdliner/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-dune

%description
Cmdliner allows the declarative definition of command line
interfaces for OCaml.

It provides a simple and compositional mechanism to convert
command line arguments to OCaml values and pass them to your
functions. The module automatically handles syntax errors,
help messages and UNIX man page generation. It supports
programs with single or multiple commands and respects
most of the POSIX and GNU conventions.

Cmdliner has no dependencies and is distributed under
the ISC license.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n cmdliner-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%license LICENSE.md

%files devel -f .ofiles-devel
%doc README.md CHANGES.md
%license LICENSE.md

%files doc
%doc README.md CHANGES.md

%changelog
* Fri Mar 24 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.1.1-1
- Init from upstream
